org.apache.pdfbox.pdmodel.font

## Enum Standard14Fonts.FontName

- java.lang.Object
- - java.lang.Enum<Standard14Fonts.FontName>
  - - org.apache.pdfbox.pdmodel.font.Standard14Fonts.FontName

All Implemented Interfaces:
  Serializable, Comparable<Standard14Fonts.FontName>

Enclosing class:
  Standard14Fonts

    public static enum Standard14Fonts.FontName
    extends Enum<Standard14Fonts.FontName>

Enum for the names of the 14 standard fonts.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COURIER`
`COURIER_BOLD`
`COURIER_BOLD_OBLIQUE`
`COURIER_OBLIQUE`
`HELVETICA`
`HELVETICA_BOLD`
`HELVETICA_BOLD_OBLIQUE`
`HELVETICA_OBLIQUE`
`SYMBOL`
`TIMES_BOLD`
`TIMES_BOLD_ITALIC`
`TIMES_ITALIC`
`TIMES_ROMAN`
`ZAPF_DINGBATS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `toString()`
`static Standard14Fonts.FontName` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Standard14Fonts.FontName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TIMES_ROMAN

    public static final Standard14Fonts.FontName TIMES_ROMAN

#### TIMES_BOLD

    public static final Standard14Fonts.FontName TIMES_BOLD

#### TIMES_ITALIC

    public static final Standard14Fonts.FontName TIMES_ITALIC

#### TIMES_BOLD_ITALIC

    public static final Standard14Fonts.FontName TIMES_BOLD_ITALIC

#### HELVETICA

    public static final Standard14Fonts.FontName HELVETICA

#### HELVETICA_BOLD

    public static final Standard14Fonts.FontName HELVETICA_BOLD

#### HELVETICA_OBLIQUE

    public static final Standard14Fonts.FontName HELVETICA_OBLIQUE

#### HELVETICA_BOLD_OBLIQUE

    public static final Standard14Fonts.FontName HELVETICA_BOLD_OBLIQUE

#### COURIER

    public static final Standard14Fonts.FontName COURIER

#### COURIER_BOLD

    public static final Standard14Fonts.FontName COURIER_BOLD

#### COURIER_OBLIQUE

    public static final Standard14Fonts.FontName COURIER_OBLIQUE

#### COURIER_BOLD_OBLIQUE

    public static final Standard14Fonts.FontName COURIER_BOLD_OBLIQUE

#### SYMBOL

    public static final Standard14Fonts.FontName SYMBOL

#### ZAPF_DINGBATS

    public static final Standard14Fonts.FontName ZAPF_DINGBATS

### Method Detail

#### values

    public static Standard14Fonts.FontName[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Standard14Fonts.FontName c : Standard14Fonts.FontName.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Standard14Fonts.FontName valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Standard14Fonts.FontName>`